
Katello - Bug #5720

Roles: Add scopes to finds in converted controllers

05/14/2014 02:23 PM - Walden Raines

Status: New   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/445
Description

https://github.com/Katello/katello/pull/4073/files#r12623774

Related issues:

Blocked by Foreman - Bug #6760: Models should ensure the authorization of ass... New 07/23/2014

History

#1 - 05/14/2014 02:23 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/14/2014 02:23 PM - Walden Raines

- Subject changed from Roles: Add scopes to finds in converted roles controllers to Roles: Add scopes to finds in converted controllers

#3 - 05/28/2014 07:08 PM - Walden Raines

- Status changed from Assigned to New

- Assignee changed from Walden Raines to Eric Helms

#4 - 06/05/2014 02:57 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#5 - 06/16/2014 12:34 PM - Eric Helms

- Target version changed from 45 to 48

#6 - 07/07/2014 07:44 AM - Eric Helms

- Target version changed from 48 to 49

#7 - 07/17/2014 12:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4454 added

#8 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#9 - 08/15/2014 01:40 PM - Eric Helms

- Blocked by Bug #6760: Models should ensure the authorization of associated objects before associating them to the model added

#10 - 08/15/2014 01:41 PM - Eric Helms

- Related to deleted (Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me.)
#11 - 08/15/2014 01:45 PM - Eric Helms

- Status changed from Ready For Testing to New

- Target version deleted (54)

#12 - 12/21/2015 11:31 AM - Eric Helms

- translation missing: en.field_release set to 114

#13 - 08/28/2019 08:15 PM - John Mitsch

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.
